%global _empty_manifest_terminate_build 0
Name:           python-redis
Version:        3.5.3
Release:        1
Summary:        Python client for Redis key-value store
License:        MIT
URL:            https://github.com/andymccurdy/redis-py
Source0:        https://files.pythonhosted.org/packages/b3/17/1e567ff78c83854e16b98694411fe6e08c3426af866ad11397cddceb80d3/redis-3.5.3.tar.gz
BuildArch:      noarch
%description
The Python interface to the Redis key-value store.

%package -n python3-redis
Summary:        Python client for Redis key-value store
Provides:       python-redis
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-py
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  redis
%description -n python3-redis
The Python interface to the Redis key-value store.

%package help
Summary:        Python client for Redis key-value store
Provides:       python3-redis-doc
%description help
The Python interface to the Redis key-value store.

%prep
%autosetup -n redis-3.5.3

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
redis-server &
%{__python3} -m pytest
kill %1

%files -n python3-redis -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 3.5.3-1
- Update version to 3.5.3

* Tue Jan 12 2021 wutao <wutao61@huawei.com> - 3.4.1-1
- upgrade to 3.4.1 adapting to pytest

* Wed Aug 05 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 2.10.6-7
- Remove python2

* Mon Jan 6 2020 qinjian <qinjian18@huawei.com> - 2.10.6-6
- Package init
